<?php
namespace WpBookingEventAdmin\app\models;
defined('_WPBOOKINGEVENT_EXEC') or die;

use WpBookingEvent\Factory;
use WpBookingEvent\Mvc\Model\ModelForm;
use WpBookingEvent\Form\Form;
use WpBookingEvent\Mvc\Model\ModelList;
use WpBookingEvent\Registry\Registry;
class CustomerModel extends ModelForm
{
    /**
     * @var string
     */
    public $context = "customer";
    /**
     * @var string
     */
    public $table_name = "customer";

    public function delete_customer($id)
    {
        $input=Factory::getInput();
        $data=$input->getData();
        $id = $data['customer_id'];
        $table=$this->getTable();
        if($table->delete($id))
        {
            return true;
        }
        return false;
    }
}
